GET Get course analytics
Retrieve comprehensive analytics and statistics for courses including enrollment metrics, completion rates, and time series data
Retrieve comprehensive analytics and statistics for courses including enrollment metrics, completion rates, and time series data
AuthorizationBearer <token>
Send API keys and access tokens as Authorization: Bearer .
In: header
Query Parameters
course_id?string
Filter analytics for specific course
Format
uuidperiod?string
Time period for analytics data
Default
"30d"Value in
- "7d"
- "30d"
- "90d"
- "1y"
include_details?boolean
Include detailed analytics like top courses and time series
Default
falseResponse Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/courses/analytics"{ "data": { "total_courses": 0, "published_courses": 0, "draft_courses": 0, "enrollments": 0, "completions": 0, "average_completion_rate": 0 }, "meta": { "organization_id": "{organization_id}", "total": 0, "total_count": 0, "limit": 0, "offset": 0, "has_more": true, "requested_at": "2019-08-24T14:15:22Z" }}{ "error": "string", "code": "string", "message": "string"}{ "error": "string", "code": "string", "message": "string"}{ "error": "string", "code": "string", "message": "string"}{ "error": "string", "code": "string", "message": "string"}